### Hierarchy

- Map

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Map(spec: ISpecification): Map

- - Defined in lib/renderable/map/index.ts:40

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Map

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/map/index.ts:40

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/map/index.ts:46

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc